<template>
  <div>
    <div
      class="flex flex-wrap justify-center gap-1 fixed bottom-0 right-0 m-1 rounded border border-primary-600 p-1"
    >
      <BaseButton
        class="bg-orange-500 bg-opacity-30 rounded border border-orange-600"
        label="Cadastrar projeto"
        @click="createProjectIsModalOpen = true"
      >
        <ViewGridAddIcon class="h-5 w-5" />
      </BaseButton>
      <BaseButton
        class="bg-purple-500 bg-opacity-30 rounded border border-purple-600"
        label="Cadastrar categoria"
        @click="createWorkCategoryIsModalOpen = true"
      >
        <AcademicCapIcon class="h-5 w-5" />
      </BaseButton>
      <BaseButton
        class="bg-pink-500 bg-opacity-30 rounded border border-pink-600"
        label="Cadastrar usuário"
        @click="createUserIsModalOpen = true"
      >
        <UserIcon class="h-5 w-5" />
      </BaseButton>
    </div>
    <BaseModal
      v-if="createProjectIsModalOpen"
      title="Cadastro de projeto"
      @close="createProjectIsModalOpen = false"
    >
      <CreateProject @close="createProjectIsModalOpen = false" />
    </BaseModal>
    <BaseModal
      v-if="createWorkCategoryIsModalOpen"
      title="Cadastro de categoria de trabalho"
      @close="createWorkCategoryIsModalOpen = false"
    >
      <CreateWorkCategory @close="createWorkCategoryIsModalOpen = false" />
    </BaseModal>
    <BaseModal
      v-if="createUserIsModalOpen"
      title="Cadastro de Usuário"
      @close="createUserIsModalOpen = false"
    >
      <CreateUser @close="createUserIsModalOpen = false" />
    </BaseModal>
  </div>
</template>

<script>
import {
  ViewGridAddIcon,
  AcademicCapIcon,
  UserIcon,
} from '@vue-hero-icons/outline'
import BaseButton from './ui/BaseButton.vue'
import BaseModal from './modal/BaseModal.vue'
import CreateUser from './forms/CreateUser.vue'
import CreateProject from '~/components/forms/CreateProject.vue'
import CreateWorkCategory from '~/components/forms/CreateWorkCategory.vue'
export default {
  name: 'AdminGroupButtons',
  components: {
    CreateWorkCategory,
    ViewGridAddIcon,
    AcademicCapIcon,
    CreateProject,
    CreateUser,
    BaseButton,
    BaseModal,
    UserIcon,
  },
  data() {
    return {
      createProjectIsModalOpen: false,
      createWorkCategoryIsModalOpen: false,
      createUserIsModalOpen: false,
    }
  },
}
</script>
